POST
/project/p-{Project_Id}/genai/qwen3_32b/v1/chat/completions
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/project/p-{Project_Id}/genai/qwen3_32b/v1/chat/completions?project_id=<PROJECT_ID>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "temperature": 0.5, "max_tokens": 1500, "top_p": 1, "frequency_penalty": 0, "presence_penalty": 1, "stream": false, "model": "qwen3_32b", "messages": [ { "role": "user", "content": "Can you write a poem about open source machine learning?" } ]}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/gpu/project/p-{Project_Id}/genai/qwen3_32b/v1/chat/completions", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "temperature": 0.5, "max_tokens": 1500, "top_p": 1, "frequency_penalty": 0, "presence_penalty": 1, "stream": False, "model": "qwen3_32b", "messages": [ { "role": "user", "content": "Can you write a poem about open source machine learning?", }, ], },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/project/p-{Project_Id}/genai/qwen3_32b/v1/chat/completions");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "temperature": 0.5, "max_tokens": 1500, "top_p": 1, "frequency_penalty": 0, "presence_penalty": 1, "stream": false, "model": "qwen3_32b", "messages": [ { "role": "user", "content": "Can you write a poem about open source machine learning?" } ] }),});console.log(await response.json());Qwen3-32B is a powerful reasoning model with strong performance in complex tasks, featuring built-in reasoning capabilities.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Project_Id
required
string
Path parameter Project_Id.
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
Request Body
Section titled “Request Body”Media typeapplication/json
object
temperature
number
Example
0.5max_tokens
integer
Example
1500top_p
number
Example
1frequency_penalty
number
Example
0presence_penalty
number
Example
1stream
boolean
Example
falsemodel
string
Example
qwen3_32bmessages
Array<object>
object
role
string
Example
usercontent
string
Example
Can you write a poem about open source machine learning?Responses
Section titled “Responses”default
Section titled “default”Successful response (Non-streaming)
Media typeapplication/json
object
id
string
object
string
created
integer
model
string
choices
Array<object>
object
index
integer
message
object
role
string
reasoning_content
The internal reasoning process of the model before generating the final response
string
content
string
tool_calls
Array<string>
logprobs
string
finish_reason
string
stop_reason
string
usage
object
prompt_tokens
integer
total_tokens
integer
completion_tokens
integer
prompt_tokens_details
string
prompt_logprobs
string
kv_transfer_params
string
Example
{ "id": "chatcmpl-fac93c60-a0c4-4fc8-9b75-bb41d8838e90", "object": "chat.completion", "created": 1770613777, "model": "qwen3_32b", "choices": [ { "index": 0, "message": { "role": "assistant", "reasoning_content": "\nOkay, the user wants a poem about open source machine learning. Let me start by breaking down the key elements here...", "content": "\n\n**Ode to Open Source Machine Learning** \n\nIn circuits deep where whispered code is sown...", "tool_calls": [] }, "finish_reason": "stop" } ], "usage": { "prompt_tokens": 19, "total_tokens": 670, "completion_tokens": 651 }}